# coding=utf-8
# Copyright 2024 The Google Research Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Configs for training and distilling diffusion models."""
from . import bedroom128_base
from . import bedroom128_distill
from . import church128_base
from . import church128_distill
from . import cifar_base
from . import cifar_cone
from . import cifar_cone1
from . import cifar_distill
from . import imagenet64_base
from . import imagenet64_distill
